Subject: bug#16910: 24.3; c++ mode: autoindent stops working

From: Andrew Warshall <[email-masked]>
Date: Sat, 1 Mar 2014 19:15:01 -0500

Hi-

   Yes, this did work. (The messages appeared in debug mode only.) But
   I thought the bug should still be reported.

               Thanks,

               Andrew Warshall

On Sat, 01 Mar 2014 09:39:17 +0200
Eli Zaretskii <[email-masked]> wrote:

> > From: [email-masked]
> > Date: Fri, 28 Feb 2014 11:26:22 -0500
> > 
> > While editing files in c++ mode, autoindent sometimes stops working
> > after a while. Saving, making a trivial change and then immediately
> > reverting sometimes solves the problem, but usually not. I'm afraid
> > I can't give a recipe, since I myself don't understand when it
> > happens; it seems unpredictable. But (some of) the error messages
> > from emacs (which appear in the echo area) are below.
> 
> When this happens to me (and it does, although there are no messages I
> could spot in my cases), I usually save and kill the buffer, then
> visit the file anew -- the problems are usually gone after that.
>